Redmine - Defect #3347

Internal error occurs when doing bulk edit

2009-05-13 05:25 - Minjie Zhu

Status: Closed
Priority: High
Assignee:

Category: Issues

Target version:

Resolution: Fixed

Start date: 2009-05-13
Due date:

% Done: 100%
Estimated time: 0.00 hour

Affected version:

Description
Confirmed with r2737

1. In Issues page, select some issues and do the right-click to show the context-menu.

2. Click the Edit in the context-menu.
Then Internal Error occured.

The log said

NameError (undefined local variable or method

‘current_role' for #<IssuesController:0xb6653b6c>) :

/app/controllers/issues_controller.rb:276:in “bulk_edit'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.
/usr/lib/ruby/gems/1.8/gems/actionpack-2.

tion_without_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.

ters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.

action_without_benchmark'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.

orm_action_without_rescue'

Regards.
.2/1lib/action_controller/base.rb:1253:in "send'
.2/1lib/action_controller/base.rb:1253:in ‘perform_ac

.2/1lib/action_controller/filters.rb:617:in “call_fil
.2/1lib/action_controller/filters.rb:610:in “perform_

.2/1lib/action_controller/benchmarking.rb:68:in ‘perf

Associated revisions

Revision 2739 - 2009-05-13 18:06 - Jean-Philippe Lang
Fixed: issue bulk edit view broken by r2726 (#3347).

Revision 2744 - 2009-05-14 20:18 - Jean-Philippe Lang
Fixed: issue status bulk edit broken by r2726 (#3347).

History

#1 - 2009-05-13 17:57 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

It was broken by r2726. It's fixed in r2739.

#2 - 2009-05-14 06:12 - Minjie Zhu
- % Done changed from 0 to 100

| confirmed the fix and it works well. Thanks :)

#3 - 2009-05-14 19:45 - Nanda P

- Status changed from Closed to Reopened
https://www.redmine.org/projects/redmine/repository/svn/revisions/2737
https://www.redmine.org/projects/redmine/repository/svn/revisions/2726
https://www.redmine.org/projects/redmine/repository/svn/revisions/2739

| am still getting the following error when | tried to close 4 tasks at a time (bulk edit)

Version: Redmine 0.8.0.devel.2743 (MySQL)

issues#bulk_edit (NameError) "undefined local variable or method "current_role' for #<IssuesController:0xal334
£4>"

A NameError occurred in issues#bulk_edit:

undefined local variable or method “current_role' for #<IssuesController:0xal334f4>
[RAILS_ROOT] /app/controllers/issues_controller.rb

#4 - 2009-05-14 20:09 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Fixed in r2744.

#5 - 2009-05-15 15:35 - Nanda P
Jean-Philippe Lang wrote:

Fixed in r2744.

r2744 is working fine. Thanks JP!
